Get Active View Configuration
Get the active view configurations for an entity. If no active view is set, `null` is returned. An admin user can only retrieve their own active configuration.
In: header
Path Parameters
The entity to retrieve its active view configurations (for example, orders).
Query Parameters
Comma-separated fields that should be included in the returned data. If a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. Without prefix it will replace the entire default fields.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/views/string/configurations/active"{
"view_configuration": {
"id": "string",
"entity": "string",
"name": "string",
"user_id": "string",
"is_system_default": true,
"configuration": {
"visible_columns": [
"string"
],
"column_order": [
"string"
],
"column_widths": {},
"filters": {},
"sorting": {
"id": "string",
"desc": true
},
"search": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"is_default_active": true,
"default_type": "code"
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}List View Configurations
Retrieve a list of view configurations of an entity. The configurations can be filtered by fields like `id`. The configurations can also be paginated. An admin user can only retrieve their own configurations.
Get View Configuration
Retrieve a view configuration for an entity. An admin user can only retrieve their own configurations.